Bug 127469 - bsd.port.mk - ports system does not honour NO_MANCOMPRESS directive (PATCH included)
bsd.port.mk - ports system does not honour NO_MANCOMPRESS directive (PATCH in...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 14:20 UTC by N.J. Mann
Modified: 2009-12-29 10:30 UTC (History)
0 users

See Also:


Attachments
NOMANCOMPRESS.bsd.port.mk.patch.txt (1.95 KB, text/plain)
2008-09-18 14:20 UTC, N.J. Mann
no flags Details
file.diff (1.09 KB, patch)
2008-09-18 14:20 UTC, N.J. Mann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description N.J. Mann 2008-09-18 14:20:00 UTC
	Back in 2004 the FreeBSD Project decided to rename all user
settable NOxxx make directives to NO_xxx.  In December of that year ru@
added /usr/src/share/mk/bsd.compat.mk to the system as an aid to that
change.  The new NO_xxx syntax has been shipped in all 6.x and 7.x
releases.  However, there is one part of the system which seems to have
been overlooked: /usr/ports/Mk/bsd.port.mk.  This file still expects
NOMANCOMPRESS rather than NO_MANCOMPRESS.  Thus, the base OS and the ports
system are out of sync.  The effect of this is that if you define
NO_MANCOMPRESS in /etc/make.conf (_and_ not NOMANCOMPRESS) the base OS
installs uncompressed manual pages and the ports system compressed ones.

With the patch included below installed and NO_MANCOMPRESS (only) defined
in /etc/make.conf, everything works as expected, i.e. manual pages for
ports are not compressed.  (And if NO_MANCOMPRESS is not defined they are
installed compressed.)

Fix: To fix this problem it is necessary to change all occurrences of
NOMANCOMPRESS to NO_MANCOMPRESS in /usr/ports/Mk/bsd.port.mk (a patch
follows).  The only other occurrence of NOMANCOMPRESS is in the porters
handbook.  I include a patch for the American English version of such, but
the same change ought to be made to the various translations.
How-To-Repeat: 	Add NO_MANCOMPRESS to /etc/make.conf
Comment 1 Mark Linimon freebsd_committer 2008-09-18 16:33:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

portmgr territory.
Comment 2 pav freebsd_committer 2009-01-06 21:28:16 UTC
State Changed
From-To: open->feedback

This patch looks correct. 

But, there is a screenfull of ports, who abuse this user-settable variable. 
Are you willing to help fix these ports?
Comment 3 pav freebsd_committer 2009-03-25 17:11:50 UTC
State Changed
From-To: feedback->suspended

Suspend until we have a volunteer to fix individual offending ports
Comment 4 dfilter freebsd_committer 2009-12-29 10:26:11 UTC
miwi        2009-12-29 10:25:55 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
    devel/bcc            Makefile 
    devel/error          Makefile 
    devel/linux_kdump    Makefile 
    devel/plan9port      Makefile 
    dns/ldns             Makefile 
    editors/mined        Makefile 
    games/wesnoth        Makefile 
    games/wesnoth-devel  Makefile 
    games/xmulti         Makefile 
    games/xscorch        Makefile 
    german/manpages      Makefile 
    lang/erlang          Makefile 
    lang/gcc34           Makefile 
    lang/gnat-gcc41      Makefile 
    lang/gnat-gcc42      Makefile 
    lang/gnat-gcc43      Makefile 
    lang/gnat-gcc44      Makefile 
    misc/freedialog/files patch-aa 
    misc/shuffle         Makefile 
    net/htpdate          Makefile 
    net/mopd             Makefile 
    net/v6eval           Makefile 
    palm/p5-Palm         Makefile 
    ports-mgmt/portbrowser Makefile 
    print/enscriptfonts  Makefile 
    print/perlftlib      Makefile 
    security/qident      Makefile 
    sysutils/dc42wrap    Makefile 
    sysutils/heirloom    Makefile 
    sysutils/readlink    Makefile 
    sysutils/wmpccard    Makefile 
    textproc/freegrep/files patch-aa 
    www/p5-AMF-Perl      Makefile 
    x11/chameleon/files  Makefile 
    x11-toolkits/p5-Prima Makefile 
  Log:
  - Convert NOMANCOMPRESS to NO_MANCOMPRESS to sync with src
  
  PR:     ports/136065 ports/127469
  Submitted by:   N.J. Mann <njm@njm.me.uk> and Aldis Berjoza <killasmurf86@gmail.com>
  
  - Early identify port CONFLICTS
  
  PR:     137855
  Submitted by:           Piotr Smyrak <smyru@heron.pl>
  
  - Add --no-same-permissions to the EXTRACT_AFTER_ARGS command.
  
  Tijl Coosemans has been reported an issue that when root is extracting from the
  tarball, and the tarball contains world writable files
  (sysutils/policykit as an example), there is a chance that the files
  gets changed by malicious third parties right after the extraction,
  which makes it possible to inject code into the package thus compromise
  the system.
  
  Submitted by:   Tijl Coosemans <tijl@coosemans.org> Xin LI (delphij@)
  
  - Fix some whitespaces
  
  Tested with:    exp-run
  
  Revision  Changes    Path
  1.632     +15 -16    ports/Mk/bsd.port.mk
  1.13      +1 -1      ports/devel/bcc/Makefile
  1.5       +1 -1      ports/devel/error/Makefile
  1.31      +1 -1      ports/devel/linux_kdump/Makefile
  1.29      +1 -1      ports/devel/plan9port/Makefile
  1.15      +1 -1      ports/dns/ldns/Makefile
  1.18      +1 -1      ports/editors/mined/Makefile
  1.78      +2 -2      ports/games/wesnoth-devel/Makefile
  1.75      +2 -2      ports/games/wesnoth/Makefile
  1.9       +1 -1      ports/games/xmulti/Makefile
  1.25      +1 -1      ports/games/xscorch/Makefile
  1.24      +1 -1      ports/german/manpages/Makefile
  1.145     +1 -1      ports/lang/erlang/Makefile
  1.252     +1 -1      ports/lang/gcc34/Makefile
  1.13      +1 -1      ports/lang/gnat-gcc41/Makefile
  1.16      +1 -1      ports/lang/gnat-gcc42/Makefile
  1.19      +1 -1      ports/lang/gnat-gcc43/Makefile
  1.3       +1 -1      ports/lang/gnat-gcc44/Makefile
  1.2       +1 -1      ports/misc/freedialog/files/patch-aa
  1.7       +1 -1      ports/misc/shuffle/Makefile
  1.19      +1 -1      ports/net/htpdate/Makefile
  1.17      +1 -1      ports/net/mopd/Makefile
  1.20      +1 -1      ports/net/v6eval/Makefile
  1.9       +1 -1      ports/palm/p5-Palm/Makefile
  1.13      +1 -1      ports/ports-mgmt/portbrowser/Makefile
  1.15      +1 -1      ports/print/enscriptfonts/Makefile
  1.28      +1 -1      ports/print/perlftlib/Makefile
  1.11      +1 -1      ports/security/qident/Makefile
  1.3       +1 -1      ports/sysutils/dc42wrap/Makefile
  1.16      +1 -1      ports/sysutils/heirloom/Makefile
  1.7       +1 -1      ports/sysutils/readlink/Makefile
  1.14      +1 -1      ports/sysutils/wmpccard/Makefile
  1.4       +1 -1      ports/textproc/freegrep/files/patch-aa
  1.9       +1 -1      ports/www/p5-AMF-Perl/Makefile
  1.19      +1 -1      ports/x11-toolkits/p5-Prima/Makefile
  1.2       +1 -1      ports/x11/chameleon/files/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2009-12-29 10:27:33 UTC
miwi        2009-12-29 10:27:15 UTC

  FreeBSD doc repository

  Modified files:
    en_US.ISO8859-1/books/porters-handbook book.sgml 
  Log:
  - Convert NOMANCOMPRESS to NO_MANCOMPRESS to sync with src
  
  PR:             ports/136065 ports/127469
  Submitted by:   N.J. Mann <njm@njm.me.uk> and Aldis Berjoza <killasmurf86@gmail.com>
  
  Revision  Changes    Path
  1.1042    +2 -2      doc/en_US.ISO8859-1/books/porters-handbook/book.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2009-12-29 10:29:03 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!